Skip to main content

Installing Perl

Active Perl

ActivePerl provides perhaps the easiest way of installing perl on a Windows PC.

http://www.activestate.com/activeperl/

Follow the links to the download packages, download and install in the usual way.

Installing packages with the Perl Package Manager (ppm)

The ppm provides an easy way of adding, updating and deleting perl packages. The active perl installation provides a shortcut to this through the start menu.

However, the ppm installed with activePerl by default only obtains packages from the activePerl repository. To add the cspan repository with the additional packages that are needed, for example to access the EnsEMBL data, use 'Edit/Preferences/Repositories' from within the ppm GUI and add 'uwinnipeg' from the drop down list.

To add a package, select 'View/All Packages', select the package, right click and select install, then click the button.jpg button.

Additional packages that should be installed are:

Padwalker: Only required if you are going to be using Eclipse for developing code. Enables variables to be viewed when debugging programs in Eclipse
DBD-mysql:
(DBIx-simple)
Required in order to use the EnsEMBL api (Do not install DBD-mysqlPP)
Modules in brackets are dependancies that may not be loaded automatically with some versions of the PPM
SOAP-Lite: Allows access to the BIFA server
Moose Improved member variable declaration within classes
MooseX-Declare
(MooseX-Lazyrequire
Context-Preserve
Parse-Method-Sigantures
Devel-Declare)
Improved member method declaration within classes
MooseX-Method-Signatures Improved member method declaration within classes
MooseX-Role-Parameterised  
aliased Needed by MooseX

Eclipse

Eclipse provides an excellent Integrated Development Environment for developing and debugging Perl code once the 'epic' plugin has been installed.

Details of how this is done can be found at: http://www.epic-ide.org/faq.php

Eclipse should be downloaded and installed from: http://www.eclipse.org/. It is suggested that 'Eclipse classic' be used.

The EPIC plugin (http://www.epic-ide.org/) should then be installed by following the instructions in http://www.epic-ide.org/download.php.
The most recent version, from http://e-p-i-c.sf.net/updates/testing has been succesfully installed and used.

Note that Eclipse/EPIC is incompatible with ActivePerl 5.10.1.1007 or any of the 5.12.0 builds unless the fix described in http://sourceforge.net/tracker/?func=detail&aid=2907155&group_id=75859&atid=545274 is applied, ie edit C:\Perl\lib\Cwd.pm, locate sub _win32_cwd and remove 'eval' from the command within the sub.